<?php
defined('ABSPATH') or die('No script kiddies please!!');
$block_template = $artl_settings['layout']['block_template'];
$template_class = (!empty($_GET['template_class'])) ? sanitize_text_field($_GET['template_class']) : 'artl-block-' . $block_template;
$word_per_minute =  $artl_settings['basic']['word_per_minute'];
?>
<div class="artl-main-wrapper <?php echo esc_html($template_class); ?>">
    <h3 class="artl-main-heading"> <?php echo esc_html($artl_settings['layout']['heading_text']); ?></h3>
    <div class="artl-col-3 artl-col-s-12">
        <div class="artl-feature">
            <div class="artl-feature-section">
                <?php
                $word_status = $artl_settings['layout']['word_enable'];

                if ($word_status == 1) {
                    $blockwordCount = str_word_count(strip_tags($content));
                ?>
                    <div class="artl-word">
                        <div class="artl-text1">
                            <?php echo esc_html($blockwordCount); ?>
                        </div>
                        
                            <div class="artl-text2">
                                <?php echo esc_html((!empty($artl_settings['layout']['word_field_label']))) ? esc_html($artl_settings['layout']['word_field_label']) : ''; ?>
                            </div>
                       
                    </div>
                <?php } ?>
                <?php
                $character_status = $artl_settings['layout']['character_enable'];
                if ($character_status == 1) {
                    $blockcharacterlen = strlen(strip_tags($content));
                ?>
                    <div class="artl-character">
                        <div class="artl-text1">
                            <?php echo esc_html($blockcharacterlen); ?>
                        </div>
                       
                            <div class="artl-text2">
                                <?php echo esc_html((!empty($artl_settings['layout']['character_field_label']))) ? esc_html($artl_settings['layout']['character_field_label']) : ''; ?>
                            </div>
                      
                    </div>
                <?php } ?>
                <?php
                $time_status = $artl_settings['layout']['read_enable'];
                if ($time_status == 1) {
                    $readcontenttime = str_word_count(strip_tags($content));
                ?>
                    <div class="artl-block-time">
                        <div class="artl-text1">
                            <?php

                            $time = round($readcontenttime / $word_per_minute);

                            $seconds = round($readcontenttime / $word_per_minute);
                            if ($time == 1) {
                                $time .= __(' min', 'article-read-time-lite');
                                echo esc_html($time);
                            } elseif ($time < 1) {
                                $seconds .= __(' sec', 'article-read-time-lite');
                                echo esc_html($seconds);
                            } else {
                                $time .= __(' min', 'article-read-time-lite');
                                echo esc_html($time);
                            }


                            ?>
                        </div>
                        
                            <div class="artl-text2">
                                <?php echo esc_html((!empty($artl_settings['layout']['read_field_label']))) ? esc_html($artl_settings['layout']['read_field_label']) : ''; ?>
                            </div>
                      
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>