<?php
defined('ABSPATH') or die('No script kiddies please!!'); 
$paragraph_template = $artl_settings['layout']['paragraph_template'];
$template_class = 'artl-paragraph-' . $paragraph_template;
?>

<div class="artl-main-wrapper <?php echo esc_attr($template_class); ?>">
    <div class="artl-col-3 artl-col-s-12">
        <div class="artl-feature">
            <div class="artl-feature-background">
                <?php
                if (!empty($artl_settings['layout']['heading_text'])) { ?>
                    <div class="artl-heading">
                        <img src="<?php echo ARTL_IMG_DIR . '/paragraphicon.svg'; ?>"> <span><?php echo esc_html($artl_settings['layout']['heading_text']); ?></span>
                    </div>
                <?php } ?>
                <div class="artl-paragraph">
                    <div class="artl-feature-paragraph">
                        <?php
                        $wordCount = str_word_count(strip_tags($content));
                        $before_replace = $artl_settings['layout']['word_message'];

                        $final_replace = str_replace("[word_count]", '<span class="artl-time">' . $wordCount . '</span class="artl-time">', $before_replace);



                        $len = strlen(strip_tags($content));
                        $final_replace = str_replace("[character_count]", '<span class="artl-time">' . $len . '</span class="artl-time">', $final_replace);




                        $time = round($wordCount / $word_per_minute);

                        $seconds = $wordCount / $word_per_minute;
                        if ($time == 1) {

                            $final_replace = str_replace("[time]", '<span class="artl-time">' . $time . '</span class="artl-time">', $final_replace);
                        } elseif ($seconds < 1) {

                            $final_replace = str_replace("[time]", '<span class="artl-time">' . $seconds . '</span class="artl-time">', $final_replace);
                        } else {

                            $final_replace = str_replace("[time]", '<span class="artl-time">' . $time . '</span class="artl-time">', $final_replace);
                        }

                        echo nl2br(wp_kses_post($final_replace));
                        ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>